Create an integration hook
POST
Create an integration hook
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
application/json- body
app_id?integerThe ID of app for which integration hook is being created
inbox_id?integerThe inbox ID, if the hook is an inbox hook
status?integerThe status of the integration (0 for inactive, 1 for active)
settings?The settings required by the integration
Success
application/json- response
id?stringThe ID of the integration hook
app_id?stringThe ID of the integration app
inbox_id?stringInbox ID if its an Inbox integration
account_id?stringAccount ID of the integration
status?booleanWhether the integration hook is enabled for the account
hook_type?booleanWhether its an account or inbox integration hook
settings?The associated settings for the integration
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/integrations/hooks' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "app_id": "string", "inbox_id": "string", "account_id": "string", "status": true, "hook_type": true, "settings": {}}